//////////////////////////////////////////////////////////////////////////////////
//																				//	
//	Name       : swimacdatatypes.h												//
//																				//
//	Purpose    : SWI Mac data types												//
//																				//
//	Copyright (c) 2007 Sierra Wireless, Inc.  All rights reserved				//
//																				//
//////////////////////////////////////////////////////////////////////////////////

#ifndef __SWI_DATA_TYPES_H
#define __SWI_DATA_TYPES_H

#include <CoreServices/CoreServices.h>

#ifdef __cplusplus
extern "C"	{
#endif

typedef UInt64		SWI_U64;	// U64
typedef UInt32		SWI_U32;	// U32
typedef UInt16		SWI_U16;	// U16
typedef UInt8		SWI_U8;		// U8

typedef SInt32		SWI_S32;	// I32
typedef SInt16		SWI_S16;	// I16
typedef SInt8		SWI_S8;		// I8

typedef char		SWI_CHAR;
typedef char*		SWI_CHAR_PTR;
typedef char*		SWI_TCHAR;
typedef char*		SWI_LPTSTR;
typedef char*		SWI_LPCTSTR;

#ifdef __cplusplus
}
#endif

#endif // __SWI_DATA_TYPES_H
